Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 970002 - Package seems abandoned
Summary: Package seems abandoned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtomcrypt
Version: 19
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 914150 970003
Blocks: 970009
TreeView+ depends on / blocked
 
Reported: 2013-06-03 09:56 UTC by Simone Caronni
Modified: 2013-06-26 19:06 UTC (History)
4 users (show)

Fixed In Version: libtomcrypt-1.17-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-04 15:26:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Simone Caronni 2013-06-03 09:56:34 UTC
Description of problem:
Package seems abandoned; there is no activtiy on it since Sun Nov 25 2007. From that date onwards, only mass rebuild changelogs have been added.

It does not build on Fedora 19 and does contain obsolete RPM tags that are not required for Fedora.

Version-Release number of selected component (if applicable):
libtomcrypt-1.17-14.fc18

This request is to start the missing package mantainer process [1]; as I'm offering myself as a mantainer since I'm using this at work. If the packager responds to the bug I'm offering myself as co-mantainer.

At the moment, the last update pushed by the package mantainer is in April 2012.

$ ./fedora_active_user.py --user jjh
FAS password for slaanesh: 
Last login in FAS:
   jjh 2013-03-24
Last action on koji:
   Fri, 22 Feb 2013 package list entry revoked: haproxy in dist-6E-epel by pkgdb
Last package update on bodhi:
   2012-04-04 02:07:59 on package haproxy-1.4.20-1.el6

[1] https://fedoraproject.org/wiki/Package_maintainer_policy#What_to_do_if_a_maintainer_is_absent

I'm attaching all the pending bugs here.

Comment 1 Simone Caronni 2013-06-03 10:03:50 UTC
http://slaanesh.fedorapeople.org/libtomcrypt.spec
http://slaanesh.fedorapeople.org/libtomcrypt-1.17-15.fc19.src.rpm

Here is an updated spec file / source rpm that contains the following fixes:

- Update SPEC, remove obsolete tags, fix formatting.
- Add patch for pkg config (libtomcrypt.pc).
- Add correct build requirements for Fedora 19+ and RHEL 7+.

This package update is required for building stoken, the RSA software token manipulation library for using RSA software tokens with openconnect, the Cisco AnyConnect VPN compatible client.

Comment 2 Simone Caronni 2013-06-03 10:10:39 UTC
Please note that the package has changed license in the upstream repository to "WTFPL"; which is a valid license according to Fedora guidelines.

This is only for the next release; the current source tarball still is licensed with the specified license.

Comment 3 David Woodhouse 2013-06-04 13:14:36 UTC
The changes look obviously sane; have committed them for rawhide in the meantime.

Perhaps we could do F19 too. Or perhaps you could just live with the lack of pkgconfig and set TOMCRYPT_CFLAGS=-I/usr/include/tomcrypt manually when you need to build against it.

Comment 4 David Woodhouse 2013-06-04 13:25:18 UTC
Hm, maybe it's not that simple.

http://kojipkgs.fedoraproject.org//work/tasks/4779/5464779/build.log

+ make -j5 LIBPATH=/usr/lib64 -f makefile docs
rm -f doc/crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out
echo "hello" > crypt.ind
latex crypt > /dev/null
kpathsea: Running mktexfmt latex.fmt
make: *** [docs] Error 1
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.5TWg4P (%build)
    Bad exit status from /var/tmp/rpm-tmp.5TWg4P (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.

There are also a lot of warnings about pointer aliasing bugs.

Comment 5 Simone Caronni 2013-06-04 13:33:09 UTC
(In reply to David Woodhouse from comment #3)
> The changes look obviously sane; have committed them for rawhide in the
> meantime.
> 
> Perhaps we could do F19 too. Or perhaps you could just live with the lack of
> pkgconfig and set TOMCRYPT_CFLAGS=-I/usr/include/tomcrypt manually when you
> need to build against it.

I would prefer that both would go the same way; so packages relying on it does not need to treat f19 and f20+ differently.

Can you commit those to Fedora 19 too?


I've updated the spec file with latex requirements; but I didn't re-uploaded them to fedorapeople.org as I was not thinking a proven packager would push the change; but instead wait for the unresponsive mantainer process.

Anyway here they are; they should fix your latex building problem on f18+:

http://slaanesh.fedorapeople.org/libtomcrypt.spec
http://slaanesh.fedorapeople.org/libtomcrypt-1.17-15.fc19.src.rpm

Comment 6 David Woodhouse 2013-06-04 13:41:16 UTC
I already had those changes, and the same package builds OK on F19:

http://kojipkgs.fedoraproject.org//work/tasks/4824/5464824/build.log

+ make -j5 LIBPATH=/usr/lib64 -f makefile docs
rm -f doc/crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out
echo "hello" > crypt.ind
latex crypt > /dev/null
latex crypt > /dev/null
makeindex crypt.idx > /dev/null
This is makeindex, version 2.15 [TeX Live 2013] (kpathsea + Thai support).
Scanning input file crypt.idx....done (345 entries accepted, 0 rejected).
Sorting entries......done (3023 comparisons).
Generating output file crypt.ind....done (396 lines written, 0 warnings).
Output written in crypt.ind.
Transcript written in crypt.ilg.
perl fixupind.pl
latex crypt > /dev/null
dvipdf crypt
mv -ivf crypt.pdf doc/crypt.pdf
'crypt.pdf' -> 'doc/crypt.pdf'
rm -f *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out

Comment 7 David Woodhouse 2013-06-04 13:47:49 UTC
+ sed 's|> /dev/null||' -i makefile
+ make -j5 LIBPATH=/usr/lib64 -f makefile docs
rm -f doc/crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out
echo "hello" > crypt.ind
latex crypt 
This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013)
 restricted \write18 enabled.
kpathsea: Running mktexfmt latex.fmt
I can't find the format file `latex.fmt'!
make: *** [docs] Error 1

Comment 8 Simone Caronni 2013-06-04 14:12:33 UTC
(In reply to David Woodhouse from comment #7)
> + sed 's|> /dev/null||' -i makefile
> + make -j5 LIBPATH=/usr/lib64 -f makefile docs
> rm -f doc/crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out
> echo "hello" > crypt.ind
> latex crypt 
> This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013)
>  restricted \write18 enabled.
> kpathsea: Running mktexfmt latex.fmt
> I can't find the format file `latex.fmt'!
> make: *** [docs] Error 1

rawhide?

Comment 9 Jeremy Hinegardner 2013-06-04 14:15:44 UTC
Hi, i'm the maintainer, I would be happy to hand off this package. I am no longer using it actively.

Comment 10 Simone Caronni 2013-06-04 14:17:36 UTC
Many (In reply to Jeremy Hinegardner from comment #9)
> Hi, i'm the maintainer, I would be happy to hand off this package. I am no
> longer using it actively.

Many thanks. Can you orphan it so I can take it?

https://admin.fedoraproject.org/pkgdb/acls/name/libtomcrypt

Regards,
--Simone

Comment 11 Fedora Admin XMLRPC Client 2013-06-04 14:21:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Jeremy Hinegardner 2013-06-04 14:22:21 UTC
(In reply to Simone Caronni from comment #10)
> Many (In reply to Jeremy Hinegardner from comment #9)
> > Hi, i'm the maintainer, I would be happy to hand off this package. I am no
> > longer using it actively.
> 
> Many thanks. Can you orphan it so I can take it?
> 
> https://admin.fedoraproject.org/pkgdb/acls/name/libtomcrypt

Done and done. Yours for the taking!

I apologize for my dereliction of maintanence, and appreciate you taking ownership. 

thanks,

-jeremy

Comment 13 Simone Caronni 2013-06-04 14:34:46 UTC
(In reply to David Woodhouse from comment #7)
> + sed 's|> /dev/null||' -i makefile
> + make -j5 LIBPATH=/usr/lib64 -f makefile docs
> rm -f doc/crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out
> echo "hello" > crypt.ind
> latex crypt 
> This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013)
>  restricted \write18 enabled.
> kpathsea: Running mktexfmt latex.fmt
> I can't find the format file `latex.fmt'!
> make: *** [docs] Error 1

Really weird, on rawhide it fails for me as well with koji, but it works locally with mock and I'm able to build without changes.

Looking into it.

Comment 14 David Woodhouse 2013-06-04 14:43:30 UTC
jnovy?

Comment 15 David Woodhouse 2013-06-04 14:50:52 UTC
This fails locally with mock (rawhide) for me, and in that chroot 'mktexfmt latex.fmt' silently does nothing. In mock for f19, it builds fine.

Comment 16 Simone Caronni 2013-06-04 14:53:16 UTC
(In reply to David Woodhouse from comment #14)
> jnovy?

What?

Comment 17 Simone Caronni 2013-06-04 14:55:15 UTC
(In reply to David Woodhouse from comment #15)
> This fails locally with mock (rawhide) for me, and in that chroot 'mktexfmt
> latex.fmt' silently does nothing. In mock for f19, it builds fine.

It works fine for me with a freshly rawhide built chroot mock here. What doesn't work for me is koji+rawhide. I've sent an email to the devel mailing list.

To sum up:

mock+f19 = ok
koji+f19 = ok
mock+rawhide = ok
koji+rawhide = *KO*

Comment 18 Jindrich Novy 2013-06-04 14:56:39 UTC
Hello David, Simone, please give me a while to reproduce it.

The versions of texlive in f19 and rawhide are now different.

Comment 19 Jindrich Novy 2013-06-04 14:58:38 UTC
I'm still failing to see why koji doesn't work but local mock does.

Comment 20 David Woodhouse 2013-06-04 15:02:46 UTC
Simone, I've built libtomcrypt-1.17-16.fc19 if you want to push that as an update: http://koji.fedoraproject.org/koji/taskinfo?taskID=5465174

Comment 21 Jindrich Novy 2013-06-04 15:04:46 UTC
Ok, first of all, could you please replace:

BuildRequires:  tetex-dvips
BuildRequires:  tetex-latex

with:
BuildRequires: tex(dvips), tex(latex)

then:
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
BuildRequires:  texlive-cm
BuildRequires:  texlive-fancyhdr
BuildRequires:  texlive-latex-bin-bin
BuildRequires:  texlive-makeindex-bin
BuildRequires:  texlive-metafont-bin
BuildRequires:  texlive-texconfig
%endif

is completely useless as all of the packages are pulled in by BR: tex(latex), as the collection-basic and collection-latex from CTAN. So you can remove it.

Comment 22 David Woodhouse 2013-06-04 15:14:49 UTC
In my f19 root, /usr/share/texlive/texmf/web2c/fmtutil.cnf contains:
# from latex-bin:
latex pdftex language.dat -translate-file=cp227.tcx *latex.ini
pdflatex pdftex language.dat -translate-file=cp227.tcx *pdflatex.ini
dvilualatex luatex language.dat,language.dat.lua dvilualatex.ini
lualatex luatex language.dat,language.dat.lua lualatex.ini

In my rawhide chroot, /usr/share/texlive/texmf-dist/web2c/fmtutil.cnf contains:

# from latex-bin:
#! latex pdftex language.dat -translate-file=cp227.tcx *latex.ini
#! pdflatex pdftex language.dat -translate-file=cp227.tcx *pdflatex.ini
#! dvilualatex luatex language.dat,language.dat.lua dvilualatex.ini
#! lualatex luatex language.dat,language.dat.lua lualatex.ini

Comment 23 David Woodhouse 2013-06-04 15:26:21 UTC
(In reply to Jindrich Novy from comment #21)
> BuildRequires: tex(dvips), tex(latex)

That appears to fix it; thanks for the quick help. 1.17-17 building in rawhide now: http://koji.fedoraproject.org/koji/taskinfo?taskID=5465895

Comment 24 Simone Caronni 2013-06-04 15:57:52 UTC
(In reply to Jindrich Novy from comment #21)
> Ok, first of all, could you please replace:
> 
> BuildRequires:  tetex-dvips
> BuildRequires:  tetex-latex
> 
> with:
> BuildRequires: tex(dvips), tex(latex)
> 
> then:
> %if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
> BuildRequires:  texlive-cm
> BuildRequires:  texlive-fancyhdr
> BuildRequires:  texlive-latex-bin-bin
> BuildRequires:  texlive-makeindex-bin
> BuildRequires:  texlive-metafont-bin
> BuildRequires:  texlive-texconfig
> %endif
> 
> is completely useless as all of the packages are pulled in by BR:
> tex(latex), as the collection-basic and collection-latex from CTAN. So you
> can remove it.

Thanks. Is there a place where tex packaging is described? I have other packages using latex that probably need updating.

Comment 25 Fedora Update System 2013-06-04 17:13:06 UTC
libtomcrypt-1.17-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc19

Comment 26 Fedora Update System 2013-06-04 17:41:07 UTC
libtomcrypt-1.17-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc18

Comment 27 Simone Caronni 2013-06-04 17:44:16 UTC
Please leave karma for the updates.

Thanks,
--Simone

Comment 28 Jindrich Novy 2013-06-04 18:04:56 UTC
(In reply to Simone Caronni from comment #24)
> (In reply to Jindrich Novy from comment #21)
> > Ok, first of all, could you please replace:
> > 
> > BuildRequires:  tetex-dvips
> > BuildRequires:  tetex-latex
> > 
> > with:
> > BuildRequires: tex(dvips), tex(latex)
> > 
> > then:
> > %if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
> > BuildRequires:  texlive-cm
> > BuildRequires:  texlive-fancyhdr
> > BuildRequires:  texlive-latex-bin-bin
> > BuildRequires:  texlive-makeindex-bin
> > BuildRequires:  texlive-metafont-bin
> > BuildRequires:  texlive-texconfig
> > %endif
> > 
> > is completely useless as all of the packages are pulled in by BR:
> > tex(latex), as the collection-basic and collection-latex from CTAN. So you
> > can remove it.
> 
> Thanks. Is there a place where tex packaging is described? I have other
> packages using latex that probably need updating.

Some help can be found here:
https://fedoraproject.org/wiki/Features/TeXLive
https://fedoraproject.org/wiki/Talk:Features/TeXLive

Currently there exist these basic virtual provides:
tex(tex)
tex(latex)
tex(latex-base)
tex(japanese)
tex(east-asian)
tex(xetex)
tex(context)
tex(dvips)

Hope that helps.
Jindrich

Comment 29 Fedora Update System 2013-06-06 16:14:40 UTC
libtomcrypt-1.17-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc17

Comment 30 Fedora Update System 2013-06-06 16:15:20 UTC
libtomcrypt-1.17-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc18

Comment 31 Fedora Update System 2013-06-06 16:16:03 UTC
libtomcrypt-1.17-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc19

Comment 32 Fedora Update System 2013-06-11 12:10:22 UTC
libtomcrypt-1.17-18.el6,stoken-0.2-4.el6,libtommath-0.41-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.el6,stoken-0.2-4.el6,libtommath-0.41-16.el6

Comment 33 Fedora Update System 2013-06-16 05:29:13 UTC
libtomcrypt-1.17-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2013-06-16 05:32:52 UTC
libtomcrypt-1.17-18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2013-06-18 06:24:06 UTC
libtomcrypt-1.17-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2013-06-26 19:06:27 UTC
libtomcrypt-1.17-18.el6, stoken-0.2-4.el6, libtommath-0.41-16.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.